Bug 18255 - I don't think [TreatNonCallableAsNull] is necessary on this callback, since if a non-Function is passed it will be converted to a string according to the other overload. That DOMString overload also doesn't need [AllowAny] as that is now the default beha
I don't think [TreatNonCallableAsNull] is necessary on this callback, since i...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
Clone_Fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:51 UTC by contributor
Modified: 2012-09-28 05:10 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:51:17 UTC
This was was cloned from bug 17612 as part of operation convergence.
Originally filed: 2012-06-27 01:34:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-06-27 01:34:51 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#timers
Complete: http://www.whatwg.org/c#timers

Comment:
I don't think [TreatNonCallableAsNull] is necessary on this callback, since if
a non-Function is passed it will be converted to a string according to the
other overload.  That DOMString overload also doesn't need [AllowAny] as that
is now the default behaviour for overload resolution.  If you drop the
[TreatNonCallableAsNull] then I think you can drop ArbitraryCallback and just
reference http://dev.w3.org/2006/webapi/WebIDL/#common-Function.

Posted from: 2001:44b8:4198:5700:cc00:74e7:2f56:df0d
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:16.0) Gecko/16.0 Firefox/16.0a1
================================================================================
Comment 1 Travis Leithead [MSFT] 2012-09-10 17:00:27 UTC
The cloned bug was fixed--assigning to you, as this will be a branch merge bug fix.
Comment 2 Silvia Pfeiffer 2012-09-28 05:10:43 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/13c2afbc650cca54c0d3ff3eeae29882c7254485
Rationale: adopted resolution by WHATWG